## GcalSearchView GcalSearchView |

## Functions

void | gcal_search_view_set_time_format ()
void | gcal_search_view_search ()
GtkWidget * | gcal_search_view_new ()
void | gcal_search_view_connect ()

## Properties

icaltimetype * | active-date | Read / Write

## Signals

void | event-activated | Run Last

## Types and Values

#define | GCAL_TYPE_SEARCH_VIEW
| GcalSearchView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkPopover
                            ╰── GcalSearchView

## Implemented Interfaces

GcalSearchView implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### gcal_search_view_set_time_format ()

    void
    gcal_search_view_set_time_format (GcalSearchView *view,
                                      gboolean format_24h);

Setup time format, instead of accessing DConf again.

#### Parameters

view | a GcalSearchView instance. |
format_24h | whether is 24h or not. |

### gcal_search_view_search ()

    void
    gcal_search_view_search (GcalSearchView *view,
                             const gchar *field,
                             const gchar *query);

### gcal_search_view_new ()

    GtkWidget *
    gcal_search_view_new (void);

#### Returns

.

[transfer full]

Since: 0.1

### gcal_search_view_connect ()

    void
    gcal_search_view_connect (GcalSearchView *search_view,
                              GcalManager *manager);

Connect the view to the App singleton manager instance. This is designed to be called once, after create of the view and before any use.

#### Parameters

search_view | a GcalSearchView instance |
manager | App singleton GcalManager instance |

## Types and Values

### GCAL_TYPE_SEARCH_VIEW

    #define GCAL_TYPE_SEARCH_VIEW                       (gcal_search_view_get_type ())

### GcalSearchView

    typedef struct _GcalSearchView GcalSearchView;

## Property Details

### The `“active-date”` property

      “active-date”              icaltimetype *

The active/selected date in the view.

Flags: Read / Write

## Signal Details

### The `“event-activated”` signal

    void
    user_function (GcalSearchView *view,
                   icaltimetype   *date,
                   gpointer        user_data)

Emitted when an event is selected from the list.

#### Parameters

view | the GcalSearchView that generated the signal |
date | the date of the selected event |
user_data | user data set when the signal handler was connected. |

Flags: Run Last